core / TimestampCommand

# TimestampCommand

`data class TimestampCommand : CommandData`

If present in a transaction, contains a time that was verified by the timestamping authority/authorities whose public keys are identified in the containing Command object. The true time must be between (after, before)

### Constructors

<init> | `TimestampCommand(time: Instant, tolerance: Duration)``TimestampCommand(after: Instant?, before: Instant?)` If present in a transaction, contains a time that was verified by the timestamping authority/authorities whose public keys are identified in the containing Command object. The true time must be between (after, before)

### Properties

after | `val after: Instant?`
before | `val before: Instant?`
midpoint | `val midpoint: Instant`